Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/initphysto.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/initphysto.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/initphysto.F	(revision 634)
@@ -7,7 +7,8 @@
      .  (infile,
      .  rlon, rlat, tstep,t_ops,t_wrt,nq,fileid)
-
+       
+       USE dimphy
        USE IOIPSL
-
+       USE iophy
       implicit none
 
@@ -51,5 +52,5 @@
 #include "indicesol.h"
 #include "control.h"
-#include "dimphy.h"
+cym#include "dimphy.h"
 
 C   Arguments
@@ -91,15 +92,14 @@
       tau0 = 0
 	
-	CALL gr_fi_ecrit(1,klon,iim,jjm+1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjm+1) = rlon(i+1)
-         ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjm+1,rlat,zx_lat)
-
-
-      call histbeg(infile, iim, zx_lon(:,1), jjm+1, zx_lat(1,:),
-     .             1, iim, 1, jjm+1,
-     .             tau0, zjulian, tstep, nhoriid, fileid)
+cym	CALL gr_fi_ecrit(1,klon,iim,jjm+1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjm+1) = rlon(i+1)
+cym         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjm+1,rlat,zx_lat)
+
+
+      call histbeg_phy(infile,tau0, zjulian, tstep,
+     .                 nhoriid, fileid)
 
 C  Appel a histvert pour la grille verticale
@@ -120,5 +120,5 @@
 
        CALL histdef(fileid, "phis", "Surface geop. height", "-",
-     .                iim,jjm+1,nhoriid, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
 c
@@ -126,8 +126,9 @@
 
          CALL histdef(fileid, "aire", "Grid area", "-",
-     .                iim,jjm+1,nhoriid, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
          write(*,*) 'apres aire ds initphysto'
 
+cym     Attention dtime et istphy ne sont pas écrit ---> a éliminer ?
          CALL histdef(fileid, "dtime", "tps phys ", "s",
      .                1,1,nhoriid, 1,1,1, -99, 32,
@@ -141,5 +142,5 @@
 C
       call histdef(fileid, 't', 'Temperature', 'K',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
         write(*,*) 'apres t ds initphysto'
@@ -147,5 +148,5 @@
 C
       call histdef(fileid, 'mfu', 'flx m. pan. mt', 'kg m/s',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
         write(*,*) 'apres mfu ds initphysto'
@@ -154,5 +155,5 @@
 C
       call histdef(fileid, 'mfd', 'flx m. pan. des', 'kg m/s',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -161,5 +162,5 @@
 C
       call histdef(fileid, 'en_u', 'flx ent pan mt', 'kg m/s',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
                write(*,*) 'apres en_u ds initphysto'
@@ -168,5 +169,5 @@
 C
       call histdef(fileid, 'de_u', 'flx det pan mt', 'kg m/s',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -175,5 +176,5 @@
 C
       call histdef(fileid, 'en_d', 'flx ent pan dt', 'kg m/s',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 C
@@ -183,5 +184,5 @@
 C
       call histdef(fileid, 'de_d', 'flx det pan dt', 'kg m/s',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -189,14 +190,14 @@
 	
 	call histdef(fileid, "coefh", " ", " ",
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, "inst(X)", t_ops, t_wrt)
 
 c abderrahmane le 16 09 02
         call histdef(fileid, "fm_th", " ", " ",
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, "inst(X)", t_ops, t_wrt)
 
         call histdef(fileid, "en_th", " ", " ",
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, "inst(X)", t_ops, t_wrt)
 c fin aj
@@ -205,9 +206,9 @@
 
 	call histdef(fileid, 'frac_impa', ' ', ' ',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 	
 	call histdef(fileid, 'frac_nucl', ' ', ' ',
-     .             iim, jjm+1, nhoriid, llm, 1, llm, zvertiid,
+     .             iim, jjphy_nb, nhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
 
@@ -216,5 +217,5 @@
 c
       CALL histdef(fileid, "pyu1", " ", " ",
-     .                iim,jjm+1,nhoriid, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
      .                "inst(X)", t_ops, t_wrt)
 
@@ -223,5 +224,5 @@
 c
 	CALL histdef(fileid, "pyv1", " ", " ",
-     .                iim,jjm+1,nhoriid, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhoriid, 1,1,1, -99, 32,
      .                "inst(X)", t_ops, t_wrt)
 	
@@ -231,5 +232,5 @@
 c
 	call histdef(fileid, "ftsol1", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1,1, -99,32,
+     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,32,
      .             "inst(X)", t_ops, t_wrt)
 
@@ -238,5 +239,5 @@
 c
         call histdef(fileid, "ftsol2", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1,1, -99,32,
+     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,32,
      .             "inst(X)", t_ops, t_wrt)
 
@@ -245,5 +246,5 @@
 c
         call histdef(fileid, "ftsol3", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1,1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -252,5 +253,5 @@
 c
         call histdef(fileid, "ftsol4", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1,1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 	
@@ -259,5 +260,5 @@
 c
         call histdef(fileid, "rain", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1,1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1,1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -266,5 +267,5 @@
 c
 	call histdef(fileid, "psrf1", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1, 1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 	
@@ -273,5 +274,5 @@
 c
         call histdef(fileid, "psrf2", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1, 1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -280,5 +281,5 @@
 c
         call histdef(fileid, "psrf3", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1, 1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 
@@ -287,5 +288,5 @@
 c
         call histdef(fileid, "psrf4", " ", " ",
-     .             iim, jjm+1, nhoriid, 1, 1, 1, -99,
+     .             iim, jjphy_nb, nhoriid, 1, 1, 1, -99,
      .             32, "inst(X)", t_ops, t_wrt)
 	
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/initrrnpb.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/initrrnpb.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/initrrnpb.F	(revision 634)
@@ -4,4 +4,5 @@
       SUBROUTINE  initrrnpb(ftsol,pctsrf,masktr,fshtr,hsoltr,tautr
      .                   ,vdeptr,scavtr)
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -24,6 +25,6 @@
 c scavtr---output-R- Coefficient de lessivage
 c======================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "indicesol.h"
 c======================================================================
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/interface_surf.F90
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/interface_surf.F90	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/interface_surf.F90	(revision 634)
@@ -22,5 +22,5 @@
 ! L. Fairhead, LMD, 02/2000
 
-  USE ioipsl
+!ym  USE ioipsl
 
   IMPLICIT none
@@ -76,5 +76,5 @@
       & z0_new, pctsrf_new, agesno,fqcalving,ffonte, run_off_lic_0)
 
-
+   USE dimphy,only : monocpu
 ! Cette routine sert d'aiguillage entre l'atmosphere et la surface en general 
 ! (sols continentaux, oceans, glaces) pour les fluxs de chaleur et d'humidite.
@@ -235,4 +235,5 @@
   real, dimension(klon):: fder_prev
   REAL, dimension(klon) :: bidule
+  INTEGER :: j
 
   if (check) write(*,*) 'Entree ', modname
@@ -394,4 +395,9 @@
 
     else
+    
+      if (.not.monocpu) then
+        abort_message='Appel a ORCHIDEE non encore parallelise !!'
+        call abort_gcm(modname,abort_message,1)
+      endif
 !!      CALL albsno(klon,agesno,alb_neig_grid)  
 !
@@ -434,4 +440,9 @@
 !
     if (ocean == 'couple') then
+      if (.not.monocpu) then
+        abort_message='Couplage avec l OCEAN non encore parallelise !!'
+        call abort_gcm(modname,abort_message,1)
+      endif
+
       if (nexca == 0) then
         abort_message='nexca = 0 dans interfoce_cpl'
@@ -510,4 +521,9 @@
     if (ocean == 'couple') then
 
+      if (.not.monocpu) then
+        abort_message='Couplage avec l OCEAN non encore parallelise !!'
+        call abort_gcm(modname,abort_message,1)
+      endif
+
       cumul = .true.
 
@@ -555,5 +571,10 @@
 !
     if (ocean == 'couple') then
-
+      
+      if (.not.monocpu) then
+        abort_message='Couplage avec l OCEAN non encore parallelise !!'
+        call abort_gcm(modname,abort_message,1)
+      endif
+      
       cumul =.false.
 
@@ -596,5 +617,6 @@
 !IM cf LF
       DO ii = 1, knon
-       IF (pctsrf_new(ii,nisurf) < EPSFRA) then
+       j=knindex(ii)
+       IF (pctsrf_new(j,nisurf) < EPSFRA) then
           snow(ii) = 0.0
 !IM cf LF/JLD         tsurf(ii) = RTT - 1.8
@@ -666,4 +688,9 @@
     if (ocean == 'couple') then
 
+      if (.not.monocpu) then
+        abort_message='Couplage avec l OCEAN non encore parallelise !!'
+        call abort_gcm(modname,abort_message,1)
+      endif
+
       cumul =.true.
 
@@ -733,7 +760,16 @@
 
 ! passage du run-off des glaciers calcule dans fonte_neige au coupleur
-    bidule=0.
-    bidule(1:knon)= run_off_lic(1:knon)    
-    call gath2cpl(bidule, tmp_rlic, klon, knon,iim,jjm,knindex)
+    if (ocean=='couple') then
+      
+      if (.not.monocpu) then
+        abort_message='Couplage avec l OCEAN non encore parallelise !!'
+        call abort_gcm(modname,abort_message,1)
+      endif
+
+      bidule=0.
+      bidule(1:knon)= run_off_lic(1:knon)    
+      call gath2cpl(bidule, tmp_rlic, klon, knon,iim,jjm,knindex)
+    
+    endif
 !
 ! calcul albedo
@@ -1239,4 +1275,5 @@
       & pctsrf_new)
 
+   USE ioipsl
 ! Cette routine sert d'interface entre le modele atmospherique et un 
 ! coupleur avec un modele d'ocean 'complet' derriere
@@ -1909,7 +1946,9 @@
 !
   SUBROUTINE interfoce_lim(itime, dtime, jour, &
-     & klon, nisurf, knon, knindex, &
+     & klon_xx, nisurf, knon, knindex, &
      & debut,  &
-     & lmt_sst, pctsrf_new)
+     & lmt_sst_p, pctsrf_new_p)
+     
+     USE dimphy,klon=>klon2,klon2=>klon
 
 ! Cette routine sert d'interface entre le modele atmospherique et un fichier
@@ -1938,13 +1977,16 @@
   real   , intent(IN) :: dtime
   integer, intent(IN) :: jour
+  integer, intent(in) :: klon_xx
   integer, intent(IN) :: nisurf
   integer, intent(IN) :: knon
-  integer, intent(IN) :: klon
-  integer, dimension(klon), intent(in) :: knindex
+  integer, dimension(klon2), intent(in) :: knindex
   logical, intent(IN) :: debut
 
 ! Parametres de sortie
-  real, intent(out), dimension(klon) :: lmt_sst
-  real, intent(out), dimension(klon,nbsrf) :: pctsrf_new
+  real, intent(out), dimension(klon2) :: lmt_sst_p
+  real, intent(out), dimension(klon2,nbsrf) :: pctsrf_new_p
+
+!  real, dimension(klon) :: lmt_sst
+  real, dimension(klon,nbsrf) :: pctsrf_new
 
 ! Variables locales
@@ -1962,6 +2004,9 @@
   logical, save     :: check = .FALSE.
 ! Champs lus dans le fichier de CL
-  real, allocatable , save, dimension(:) :: sst_lu, rug_lu, nat_lu
-  real, allocatable , save, dimension(:,:) :: pct_tmp
+  real, allocatable , save, dimension(:) :: sst_lu_p, rug_lu_p, nat_lu_p
+  real, allocatable , save, dimension(:,:) :: pct_tmp_p
+  real, dimension(klon,nbsrf) :: pct_tmp
+  real, dimension(klon) :: sst_lu
+  real, dimension(klon) :: nat_lu
 !
 ! quelques variables pour netcdf
@@ -1973,11 +2018,11 @@
 ! Fin déclaration
 !
-    
-  if (debut .and. .not. allocated(sst_lu)) then
+  
+  if (debut .and. .not. allocated(sst_lu_p)) then
     lmt_pas = nint(86400./dtime * 1.0) ! pour une lecture une fois par jour
     jour_lu = jour - 1
-    allocate(sst_lu(klon))
-    allocate(nat_lu(klon))
-    allocate(pct_tmp(klon,nbsrf))
+    allocate(sst_lu_p(klon2))
+    allocate(nat_lu_p(klon2))
+    allocate(pct_tmp_p(klon2,nbsrf))
   endif
 
@@ -1992,4 +2037,6 @@
 ! Ouverture du fichier
 !
+    if (phy_rank==0) then
+    
     fich = trim(fich)
     ierr = NF_OPEN (fich, NF_NOWRITE,nid)
@@ -2131,17 +2178,27 @@
 !
     ierr = NF_CLOSE(nid)
-    deja_lu = .true.
-    jour_lu = jour
-  endif
+   endif ! phyrank
 !
 ! Recopie des variables dans les champs de sortie
 !
-  lmt_sst = 999999999.
+  call ScatterField(sst_lu,sst_lu_p,1)
+  call ScatterField(pct_tmp(:,is_oce),pct_tmp_p(:,is_oce),1)
+  call ScatterField(pct_tmp(:,is_sic),pct_tmp_p(:,is_sic),1)
+  
+   deja_lu = .true.
+   jour_lu = jour
+  endif   
+  
+  lmt_sst_p = 999999999.
+  
   do ii = 1, knon
-    lmt_sst(ii) = sst_lu(knindex(ii))
+    lmt_sst_p(ii) = sst_lu_p(knindex(ii))
   enddo
 
-  pctsrf_new(:,is_oce) = pct_tmp(:,is_oce)
-  pctsrf_new(:,is_sic) = pct_tmp(:,is_sic)
+  do ii=1,klon2
+    pctsrf_new_p(ii,is_oce)=pct_tmp_p(ii,is_oce)
+    pctsrf_new_p(ii,is_sic)=pct_tmp_p(ii,is_sic)
+  enddo
+  
 
   END SUBROUTINE interfoce_lim
@@ -2151,7 +2208,9 @@
 !
   SUBROUTINE interfsur_lim(itime, dtime, jour, &
-     & klon, nisurf, knon, knindex, &
+     & klon_xx, nisurf, knon, knindex, &
      & debut,  &
-     & lmt_alb, lmt_rug)
+     & lmt_alb_p, lmt_rug_p)
+
+     USE dimphy,klon=>klon2,klon2=>klon
 
 ! Cette routine sert d'interface entre le modele atmospherique et un fichier
@@ -2184,11 +2243,14 @@
   integer, intent(IN) :: nisurf
   integer, intent(IN) :: knon
-  integer, intent(IN) :: klon
-  integer, dimension(klon), intent(in) :: knindex
+  integer, intent(IN) :: klon_xx
+  integer, dimension(klon2), intent(in) :: knindex
   logical, intent(IN) :: debut
 
 ! Parametres de sortie
-  real, intent(out), dimension(klon) :: lmt_alb
-  real, intent(out), dimension(klon) :: lmt_rug
+  real, intent(out), dimension(klon2) :: lmt_alb_p
+  real, intent(out), dimension(klon2) :: lmt_rug_p
+
+!  real,  dimension(klon) :: lmt_alb
+!  real,  dimension(klon) :: lmt_rug
 
 ! Variables locales
@@ -2206,5 +2268,6 @@
   logical,save     :: check = .false.
 ! Champs lus dans le fichier de CL
-  real, allocatable , save, dimension(:) :: alb_lu, rug_lu
+  real, allocatable , save, dimension(:) :: alb_lu_p, rug_lu_p
+  real, dimension(klon) :: alb_lu, rug_lu
 !
 ! quelques variables pour netcdf
@@ -2220,6 +2283,6 @@
     lmt_pas = nint(86400./dtime * 1.0) ! pour une lecture une fois par jour
     jour_lu_sur = jour - 1
-    allocate(alb_lu(klon))
-    allocate(rug_lu(klon))
+    allocate(alb_lu_p(klon2))
+    allocate(rug_lu_p(klon2))
   endif
 
@@ -2232,4 +2295,6 @@
 ! Tester d'abord si c'est le moment de lire le fichier
   if (mod(itime-1, lmt_pas) == 0 .and. .not. deja_lu_sur) then
+  
+  if (phy_rank==0) then
 !
 ! Ouverture du fichier
@@ -2289,4 +2354,11 @@
 !
     ierr = NF_CLOSE(nid)
+
+
+  endif  !! phyrank
+
+    call ScatterField(alb_lu,alb_lu_p,1)
+    call ScatterField(rug_lu,rug_lu_p,1)
+
     deja_lu_sur = .true.
     jour_lu_sur = jour
@@ -2297,9 +2369,10 @@
 !!$  lmt_alb(:) = 0.0
 !!$  lmt_rug(:) = 0.0
-  lmt_alb(:) = 999999.
-  lmt_rug(:) = 999999.
+ 
+  lmt_alb_p(:) = 999999.
+  lmt_rug_p(:) = 999999.
   DO ii = 1, knon
-    lmt_alb(ii) = alb_lu(knindex(ii))
-    lmt_rug(ii) = rug_lu(knindex(ii))
+    lmt_alb_p(ii) = alb_lu_p(knindex(ii))
+    lmt_rug_p(ii) = rug_lu_p(knindex(ii))
   enddo
 
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/minmaxqfi.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/minmaxqfi.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/minmaxqfi.F	(revision 634)
@@ -3,8 +3,9 @@
 !
       SUBROUTINE minmaxqfi(zq,qmin,qmax,comment)
+      USE dimphy
       IMPLICIT none
 
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 
       CHARACTER*(*) comment
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/newmicro.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/newmicro.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/newmicro.F	(revision 634)
@@ -10,4 +10,5 @@
      e                  bl95_b0, bl95_b1,
      s                  cldtaupi, re, fl)
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -39,6 +40,6 @@
 #include "YOMCST.h"
 c
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "nuage.h"
       REAL paprs(klon,klev+1), pplay(klon,klev)
@@ -110,4 +111,5 @@
        xflwp(i)=0.
        xfiwp(i)=0.
+c!CDIR NOVECTOR
       DO k = 1, klev
 c
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/nflxtr.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/nflxtr.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/nflxtr.F	(revision 634)
@@ -4,4 +4,5 @@
       SUBROUTINE nflxtr(pdtime,pmfu,pmfd,pen_u,pde_u,pen_d,pde_d,
      .                 pplay,paprs,x,dx) 
+      USE dimphy
       IMPLICIT NONE 
 c=====================================================================
@@ -21,6 +22,6 @@
 c=====================================================================
 c
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 #include "YOECUMF.h" 
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/nuage.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/nuage.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/nuage.F	(revision 634)
@@ -9,4 +9,5 @@
      e                  bl95_b0, bl95_b1,
      s                  cldtaupi, re, fl)
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -38,6 +39,6 @@
 #include "YOMCST.h"
 c
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
       REAL paprs(klon,klev+1), pplay(klon,klev)
       REAL t(klon,klev)
@@ -229,4 +230,5 @@
       SUBROUTINE diagcld1(paprs,pplay,rain,snow,kbot,ktop,
      .                   diafra,dialiq)
+      use dimphy
       IMPLICIT none
 c
@@ -238,6 +240,6 @@
 c ces nuages. Je dois avouer que c'est une frustration.
 c
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 c
@@ -313,8 +315,9 @@
       END
       SUBROUTINE diagcld2(paprs,pplay,t,q, diafra,dialiq)
+      use dimphy
       IMPLICIT none
 c
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 c
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/orbite.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/orbite.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/orbite.F	(revision 634)
@@ -49,4 +49,5 @@
 c======================================================================
       SUBROUTINE angle(longi, lati, frac, muzero)
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -64,6 +65,6 @@
 c                   la journee (0 a 1)
 c======================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
       REAL longi
       REAL lati(klon), frac(klon), muzero(klon)
@@ -108,4 +109,5 @@
       SUBROUTINE zenang(longi,gmtime,pdtrad,lat,long,
      s                  pmu0,frac)
+      USE dimphy
       IMPLICIT none
 c=============================================================
@@ -131,6 +133,6 @@
 c frac-----OUTPUT: ensoleillement moyen entre gmtime et gmtime+pdtrad
 c================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 c================================================================
@@ -261,4 +263,5 @@
       SUBROUTINE zenith (longi, gmtime, lat, long,
      s                   pmu0, fract)
+      USE dimphy
       IMPLICIT none
 c
@@ -278,6 +281,6 @@
 c
 c====================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 c====================================================================
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/orografi.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/orografi.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/orografi.F	(revision 634)
@@ -9,4 +9,5 @@
      s                   d_t, d_u, d_v)
 c
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -26,6 +27,6 @@
 c d_v-----output-R-increment de la vitesse v
 c======================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 c
@@ -130,4 +131,5 @@
      r                 , pvom,pvol,pte )
 
+      USE dimphy
       implicit none
 
@@ -179,6 +181,6 @@
 c
 c
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 #include "YOEGWD.h"
@@ -189,5 +191,6 @@
 c
 c
-      integer nlon, nlev, klevm1
+cym      integer nlon, nlev, klevm1
+      integer nlon, nlev
       integer kgwd, jl, ilevp1, jk, ji
       real zdelp, ztemp, zforc, ztend
@@ -257,5 +260,5 @@
 c     ztmst=twodt
 c     if(nstep.eq.nstart) ztmst=0.5*twodt
-      klevm1=klev-1
+cym      klevm1=klev-1
       ztmst=ptsphy
       zrtmst=1./ztmst
@@ -464,9 +467,10 @@
 c
 c-----------------------------------------------------------------------
+      USE dimphy
       implicit none
 c
 
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 #include "YOEGWD.h"
@@ -932,7 +936,8 @@
 c
 c-----------------------------------------------------------------------
+      USE dimphy
       implicit none
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 #include "YOEGWD.h"
@@ -1066,4 +1071,5 @@
 C     PASSAGE OF THE NEW GWDRAG TO I.F.S. (F. LOTT, 22/11/93)
 C-----------------------------------------------------------------------
+      USE dimphy
       implicit none
 C
@@ -1071,6 +1077,6 @@
 C
 
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 #include "YOEGWD.h"
@@ -1297,4 +1303,5 @@
      s                   d_t, d_u, d_v)
 c
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -1314,6 +1321,6 @@
 c d_v-----output-R-increment de la vitesse v
 c======================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 c
@@ -1435,9 +1442,10 @@
 C     F.LOTT  LMD 22/11/95
 C
+      USE dimphy
       implicit none
 C
 C
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "YOMCST.h"
 #include "YOEGWD.h"
@@ -1470,5 +1478,6 @@
 C              ------------
       logical lifthigh, ll1
-      integer klevm1, jl, ilevh, jk
+cym      integer klevm1, jl, ilevh, jk
+      integer  jl, ilevh, jk
       real zcons1, ztmst, zrtmst,zpi, zhgeo
       real zdelp, zslow, zsqua, zscav, zbet
@@ -1493,5 +1502,5 @@
       IF(NLON.NE.KLON.OR.NLEV.NE.KLEV)STOP
       ZCONS1=1./RD
-      KLEVM1=KLEV-1
+cym      KLEVM1=KLEV-1
       ZTMST=PTSPHY
       ZRTMST=1./ZTMST
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ozonecm.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ozonecm.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ozonecm.F	(revision 634)
@@ -3,7 +3,8 @@
 !
       SUBROUTINE ozonecm(rjour, rlat, paprs, o3)
+      USE dimphy
       IMPLICIT none
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
       REAL rlat(klon), paprs(klon,klev+1)
       REAL o3(klon,klev)
